Machine with both Sql 2005 and Sql 2008

Jul 7, 2009 at 4:55 PM

I have both sql 2005 and 2008 installed on my machine. I only have integration services 2008 installed. Your validation script is not handling my scenario. Also there is a typo in regular expression to validate 2008 version.

It should be

if

v2008Installed =

(System.Text.RegularExpressions.Regex.IsMatch(version100, "^10\\.\\d{1,4}\\.\\d{1,4}\\.\\d{1,4}$"))true;

Regards,

Krishna

Coordinator
Jul 10, 2009 at 10:21 PM

Thanks for pointing that regex typo. Forgot to change the value after copy-pasting previous line :)

The current release is built for SSIS 2005 only. I will upload another setup for 2008 soon.

-- Naresh

Sep 16, 2009 at 10:40 PM

Doh! same problem.

Just curious -- why is BIDS required to be installed? what if you were exporting logs to a SQL table, and all you wanted to do was review them in the analyzer?

Coordinator
Sep 17, 2009 at 2:39 PM
ranomore wrote:

Doh! same problem.

Just curious -- why is BIDS required to be installed? what if you were exporting logs to a SQL table, and all you wanted to do was review them in the analyzer?

 SSIS Object model is required for package parsing, and Object model gets installed along with BIDS etc. I will try to remove that dependency at least for the cases where only log file (and not package) is being loaded.

Coordinator
Nov 30, 2009 at 9:54 AM
nareshjo wrote:
ranomore wrote:

Doh! same problem.

Just curious -- why is BIDS required to be installed? what if you were exporting logs to a SQL table, and all you wanted to do was review them in the analyzer?

 SSIS Object model is required for package parsing, and Object model gets installed along with BIDS etc. I will try to remove that dependency at least for the cases where only log file (and not package) is being loaded.

 I have removed that dependency. You can now analyze the log files (without package) even if SSIS runtime is not installed.

Jun 9, 2010 at 4:37 AM

I have SQL 2005 & 2008 client tools installed on the same desktop machine.  I installed your 2005 version OK, but when I then try to install the 2008 version, I get an error from Windows Installer: Another version of this product is already installed.

BTW the 2005 version installed OK and works smoothly so far - nice work!